OpenBSD::Mtree(3p)

NAME
OpenBSD::Mtree - simple "mtree(8)" spec parser

SYNOPSIS
    use OpenBSD::Mtree;

    my %hier;

    OpenBSD::Mtree::parse(\%hier, "/", "/etc/mtree/4.4BSD.dist");

DESCRIPTION
"OpenBSD::Mtree" is a parser for mtree(8) specifications that can reconstruct directory hierarchies.

The basic function "OpenBSD::Mtree::parse_fh(\%hash, $basedir, $fh)" will populate the hash $hash with defined entries for each directory seen while reading from $fh, assuming the specification is to be interpreted relative to $basedir (some canonicalization of directory names will occur).

"OpenBSD::Mtree:parse(\%hash, $basedir, $filename)" is a convenience function which also handles opening the filehandle from $filename and closing it after reading the specification.